freemarker.core

## Class TemplateXHTMLOutputModel

- java.lang.Object
- - freemarker.core.CommonTemplateMarkupOutputModel<TemplateXHTMLOutputModel>
  - - freemarker.core.TemplateXHTMLOutputModel

All Implemented Interfaces:
  TemplateMarkupOutputModel<TemplateXHTMLOutputModel>, TemplateModel

    public final class TemplateXHTMLOutputModel
    extends CommonTemplateMarkupOutputModel<TemplateXHTMLOutputModel>

Stores HTML markup to be printed; used with `HTMLOutputFormat`.

Since:
  2.3.24

### Field Summary

### Fields inherited from interface freemarker.template.TemplateModel

`NOTHING`

### Method Summary

All Methods Instance Methods Concrete Methods
`XHTMLOutputFormat` `getOutputFormat()` Returns the singleton `OutputFormat` object that implements the operations for the "markup output" value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getOutputFormat

    public XHTMLOutputFormat getOutputFormat()

Description copied from interface: `TemplateMarkupOutputModel`
Returns the singleton `OutputFormat` object that implements the operations for the "markup output" value.

Specified by:
  `getOutputFormat` in interface `TemplateMarkupOutputModel<TemplateXHTMLOutputModel>`
Specified by:
  `getOutputFormat` in class `CommonTemplateMarkupOutputModel<TemplateXHTMLOutputModel>`